#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "BilliardZ.h"

class Player
{
	public:
		Player(int num);
		~Player();

		void reset();

		void setNumber(int num);
		int getNumber() const;

		void setBallType(BallType type);
		BallType getBallType() const;

		void incNumBallsIn();
		int getNumBallsIn() const;

		SDL_Surface *getNextBallPic() const;
		void setNextBallPic(SDL_Surface *image);

	private:
		int number;
		int numBallsIn;
		BallType ballType;
		SDL_Surface *nextBallPic;
};

#endif /* _PLAYER_H_ */
