#ifndef _POWERMETER_H_
#define _POWERMETER_H_

#include "BilliardZ.h"

class PowerMeter : public Sprite
{
	public:
		PowerMeter(SDL_Surface *screen, PoolGame *game);
		~PowerMeter() {}

		const char *getName() const;

		void setLevel(Fixed level);
		Fixed getLevel() const;
		Fixed getMaxLevel() const;

		bool mousePressed(unsigned int x, unsigned int y);
		bool mouseReleased(unsigned int x, unsigned int y);
		bool mouseDragged(unsigned int x, unsigned int y);

		void render(bool update = true);

	private:
		PoolGame *game;

		Fixed maxLevel;

		SDL_Surface *bar;
		Fixed level;
};

#endif /* _POWERMETER_H_ */
