#ifndef _SIDE_H_
#define _SIDE_H_

#include "BilliardZ.h"

class Ball;

class Side : public Sprite
{
	public:
		Side(SDL_Surface *screen, Uint16 imgNum);
		~Side();

		const char *getName() const;

		void setInfo(Fixed dirX, Fixed dirY, Fixed c);

		Fixed getDirX() const;
		Fixed getDirY() const;

		Fixed collisionPrediction(Ball *ball, Fixed dT);

	private:
		Fixed dirX, dirY;
		Fixed c;
};

#endif /* _SIDE_H_ */
