TEMPLATE = app
VERSION  = 0.1.0
CONFIG   = qt warn_on debug
#CONFIG  = qt warn_on release

HEADERS = \
	src/Ball.h \
	src/BilliardZ.h \
	src/CueStick.h \
	src/CueStickListener.h \
	src/EightBallRules.h \
	src/Fixed.h \
	src/Hole.h \
	src/ImageLoader.h \
	src/MouseListener.h \
	src/PlayerDisplay.h \
	src/PoolGame.h \
	src/PoolRoom.h \
	src/PoolTable.h \
	src/PowerMeter.h \
	src/Physics.h \
	src/Player.h \
	src/Rules.h \
	src/SDL_gfxPrimitives.h \
	src/SDL_gfxPrimitives_font.h \
	src/Side.h \
	src/Sprite.h \
	src/Vec2D.h

SOURCES = \
	src/Ball.cpp \
	src/CueStick.cpp \
	src/EightBallRules.cpp \
	src/Fixed.cpp \
	src/Hole.cpp \
	src/ImageLoader.cpp \
	src/PlayerDisplay.cpp \
	src/PoolGame.cpp \
	src/PoolRoom.cpp \
	src/PoolTable.cpp \
	src/PowerMeter.cpp \
	src/Physics.cpp \
	src/Player.cpp \
	src/SDL_gfxPrimitives.c \
	src/Side.cpp \
	src/Sprite.cpp \
	src/Vec2D.cpp \
	src/main.cpp

INCLUDEPATH += $(QPEDIR)/include
DEPENDPATH  += $(QPEDIR)/include
LIBS        += \
	/usr/lib/libSDLmain.a \
	-lSDL -lSDL_image -lqpe

DEFINES     += LOCAL_IMAGES FPM_INTEL
CFLAGS      += `sdl-config --cflags`
OBJECTS_DIR  = obj
MOC_DIR      = moc
TARGET       = billiardz
