#ifndef _POCKET_H_
#define _POCKET_H_

class Sprite;

typedef enum
{
	TOP_LEFT = 0, TOP_RIGHT,
	MIDDLE_LEFT, MIDDLE_RIGHT,
	BOTTOM_LEFT, BOTTOM_RIGHT

} HoleSide;

#include "BilliardZ.h"

class Hole : public Sprite
{
	public:
		
		Hole(SDL_Surface *screen, HoleSide side);
		~Hole();

		virtual const char *getName() const;

		HoleSide getSide() const;

		virtual bool collidesWith(Sprite *sprite);

	private:
		HoleSide side;
};

#endif /* _POCKET_H_ */
