#ifndef _IMAGELOADER_H_
#define _IMAGELOADER_H_

/* Image numbers */
#define IMAGE_TABLE             0
#define IMAGE_UNSET_BALL        1
#define IMAGE_FIRST_BALL        2
#define IMAGE_BALL_SHADOW      18
#define IMAGE_TOP_SIDE         19
#define IMAGE_TOPRIGHT_SIDE    20
#define IMAGE_BOTTOMRIGHT_SIDE 21
#define IMAGE_BOTTOM_SIDE      22
#define IMAGE_BOTTOMLEFT_SIDE  23
#define IMAGE_TOPLEFT_SIDE     24
#define IMAGE_HOLE             25
#define IMAGE_SPLASHSCREEN     26
#define IMAGE_FLOOR            27
#define IMAGE_TABLESHADOW      28
#define IMAGE_CURPLAYER_ARROW  29
#define IMAGE_METER_BG         30
#define IMAGE_METER_BAR        31

#include "BilliardZ.h"

class ImageLoader
{
	public:
		ImageLoader();
		~ImageLoader();

		SDL_Surface *load(Uint16 num, bool alphaChannel = false);

	private:
		SDL_Surface **images;
};

#endif /* _IMAGELOADER_H_ */
