#ifndef _PHYSICS_H_
#define _PHYSICS_H_

#include "BilliardZ.h"

class Ball;
class Side;

class Physics
{
	public:
		Physics();
		~Physics();

		void shootBall(Ball *ball, Fixed velocity, Fixed rad);

		void ballToBallCollision(Ball *ball1, Ball *ball2, Ball *ball3 = NULL);
		void ballToSideCollision(Ball *ball, Side *side);

		void updateBallPos(Ball *ball, bool sideCollision);
};

#endif /* _PHYSICS_H_ */
